org.apache.http.auth.params

## Class AuthParamBean

- java.lang.Object
- - org.apache.http.params.HttpAbstractParamBean
  - - org.apache.http.auth.params.AuthParamBean

Deprecated.
(4.3) use `RequestConfig` and constructor parameters of `AuthSchemeProvider`s.

    @Deprecated
    public class AuthParamBean
    extends org.apache.http.params.HttpAbstractParamBean

This is a Java Bean class that can be used to wrap an instance of `HttpParams` and manipulate HTTP authentication parameters using Java Beans conventions.

Since:
  4.0

### Field Summary

### Fields inherited from class org.apache.http.params.HttpAbstractParamBean

`params`

### Constructor Summary

Constructors
Constructor and Description
`AuthParamBean(org.apache.http.params.HttpParams params)` Deprecated.

### Method Summary

Methods
`void` `setCredentialCharset(String charset)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AuthParamBean

    public AuthParamBean(org.apache.http.params.HttpParams params)

Deprecated.

### Method Detail

#### setCredentialCharset

    public void setCredentialCharset(String charset)

Deprecated.